<h1>Animations</h1>

<button mat-raised-button color="accent" (click)="toggle()"> NG animate</button>
<p></p>

<div [@openClose]="isOpen ? 'open' : 'closed'">
  <p>Contenu ...</p>
</div>


<h1>Reactive Forms</h1>
<p>Material Components Google</p>
<p>ng add @angular/material</p>

<mat-card class="card">
  <mat-card-header>
    <div mat-card-avatar class="logo"></div>
    <mat-card-title>Les Reactives Forms</mat-card-title>
    <mat-card-subtitle>
      <a href="https://material.angular.io/" target="_blank"
        >https://material.angular.io/</a
      >
      <p>☼ ng add @angular/material ☼</p>
    </mat-card-subtitle>
  </mat-card-header>

  <mat-card-content>
    <p>☼ Angular propose deux modules pour la gestion des formulaires :</p>
    <ol>
      <li>Template Form : FormsModule</li>
      <li>Reactive Form : ReactiveFormsModule</li>
    </ol>

    <p>
      Ces deux modules offrent le même rendu.Lorsqu'il n'y a pas de validation
      nécessaire, template forms est une bonne méthode. ReactiveForms offre plus
      de possibilté lors du contrôle.
    </p>
  </mat-card-content>
  <mat-card-actions>
    <button mat-raised-button color="accent">
      <mat-icon>thumb_up</mat-icon> &nbsp;
    </button>
  </mat-card-actions>
</mat-card>

<p></p>

<mat-card class="card">
  <mat-card-header>
    <div mat-card-avatar class="logo"></div>
    <mat-card-title>Les Reactives Forms</mat-card-title>
    <mat-card-subtitle>
      <a href="https://material.angular.io/" target="_blank"
        >https://material.angular.io/</a
      >
      <p>☼ ng add @angular/material ☼</p>
    </mat-card-subtitle>
  </mat-card-header>
</mat-card>

<h2>Form Control</h2>
<mat-icon>face</mat-icon>
<mat-form-field>
  <mat-label>Saisir votre prénom: </mat-label>
  <input type="text" name="" id="" matInput require [formControl]="prenom" />
</mat-form-field>

<p></p>

<button mat-raised-button color="warn" (click)="razPrenom()">
  <mat-icon>delete</mat-icon>
</button>

<p></p>

<p [hidden]="prenom.value === ''">Votre prénom: {{ prenom.value }}</p>
<p>État touched: {{ prenom.touched }}</p>
<p>État pristine: {{ prenom.pristine }}</p>
<p>État valid: {{ prenom.valid }}</p>

<label for="">Quelle est votre couleur préférée :</label>
<p></p>
<p>
  <button mat-fab color="accent" (click)="fnCouleur('rouge')">Rouge !</button
  >&nbsp;
  <button mat-fab color="result" (click)="fnCouleur('vert')">Vert !</button
  >&nbsp;
  <button mat-fab color="warn" (click)="fnCouleur('bleu')">Bleu !</button>
</p>
<p></p>

<mat-icon>settings</mat-icon> &nbsp;
<mat-form-field>
  <mat-label>Le résultat est ...</mat-label>
  <input matInput type="text" [formControl]="couleur" />
</mat-form-field>

<p [hidden]="couleur.value === ''">
  <em> Couleu saisie : {{ couleur.value }} </em>
</p>
